Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
KDE Split Ebuilds - what to include [tiny-mini-howto]
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4, 5, 6  Next  
Reply to topic    Gentoo Forums Forum Index Documentation, Tips & Tricks
View previous topic :: View next topic  
Author Message
DOSBoy
Tux's lil' helper
Tux's lil' helper


Joined: 26 Jun 2005
Posts: 84

PostPosted: Fri Jul 01, 2005 1:59 pm    Post subject: Reply with quote

I followed the guide, and was missing

kde-base/ksystraycmd ~x86 in my package.keywords. I suggest you edit it in. Great doc though!
Back to top
View user's profile Send private message
taskara
Advocate
Advocate


Joined: 10 Apr 2002
Posts: 3763
Location: Australia

PostPosted: Sat Jul 02, 2005 2:05 am    Post subject: Reply with quote

thanks dosboy, will add.

and requemao, did you update your portage tree? you look like you have an old version
Code:
emerge --sync


if you don't want to, then you can see from the error that the package is masked by PACKAGE.MASK not by keywords ~x86

so you need to also add it to the following
Code:
echo kde-base/kmenuedit >> /etc/portage/package.unmask


that should work, but I suggest you update portage if you haven't.

you should be on kde 3.4.1 now and it is only ~x86 keyword masked now.

-c
_________________
Kororaa install method - have Gentoo up and running quickly and easily, fully automated with an installer!
Back to top
View user's profile Send private message
mlivingstone
Tux's lil' helper
Tux's lil' helper


Joined: 06 Feb 2005
Posts: 125
Location: Gold Coast, Australia

PostPosted: Sat Jul 02, 2005 7:03 am    Post subject: Reply with quote

With the release of a bunch of kde stuff to stable, I thought I'd update. I fixed /etc/portage stuff as below but something is still blocking me. Any ideas?

mlivingstone@constellation /etc/portage $ ls
package.keywords package.use portage.mask sets
mlivingstone@constellation /etc/portage $ cat portage.mask
mail-mta/ssmtp
mail-mta/sendmail

mlivingstone@constellation /etc/portage $ cat package.use
dev-libs/cyrus-sasl -gdbm berkdb
mlivingstone@constellation /etc/portage $ cat package.keywords
www-apps/mambo ~x86
mlivingstone@constellation /etc/portage $ su
Password:
root@constellation portage # emerge world -pvt

These are the packages that I would merge, in reverse order:

Calculating world dependencies ...done!
[blocks B ] =kde-base/kfilereplace-3.4* (is blocking kde-base/kdewebdev-3.4.1)
[blocks B ] =kde-base/kdemultimedia-arts-3.4* (is blocking kde-base/kdemultimedia-3.4.1-r1)
[blocks B ] =kde-base/kdemultimedia-kioslaves-3.4* (is blocking kde-base/kdemultimedia-3.4.1-r1)
[blocks B ] =kde-base/kdemultimedia-kfile-plugins-3.4* (is blocking kde-base/kdemultimedia-3.4.1-r1)
[blocks B ] =kde-base/kmix-3.4* (is blocking kde-base/kdemultimedia-3.4.1-r1)
[blocks B ] =kde-base/kscd-3.4* (is blocking kde-base/kdemultimedia-3.4.1-r1)
[blocks B ] =kde-base/krec-3.4* (is blocking kde-base/kdemultimedia-3.4.1-r1)
[blocks B ] =kde-base/libkcddb-3.4* (is blocking kde-base/kdemultimedia-3.4.1-r1)
[blocks B ] =kde-base/kopete-3.4* (is blocking kde-base/kdenetwork-3.4.1)
[blocks B ] =kde-base/kdict-3.4* (is blocking kde-base/kdenetwork-3.4.1)
[blocks B ] =kde-base/kwifimanager-3.4* (is blocking kde-base/kdenetwork-3.4.1)
[blocks B ] =kde-base/krdc-3.4* (is blocking kde-base/kdenetwork-3.4.1)
[blocks B ] =kde-base/krfb-3.4* (is blocking kde-base/kdenetwork-3.4.1)
[blocks B ] =kde-base/libkscan-3.4* (is blocking kde-base/kdegraphics-3.4.1)
[blocks B ] =kde-base/kpdf-3.4* (is blocking kde-base/kdegraphics-3.4.1)
[blocks B ] =kde-base/kamera-3.4* (is blocking kde-base/kdegraphics-3.4.1)
[blocks B ] =kde-base/kdegraphics-kfile-plugins-3.4* (is blocking kde-base/kdegraphics-3.4.1)
[blocks B ] =kde-base/kooka-3.4* (is blocking kde-base/kdegraphics-3.4.1)
[blocks B ] =kde-base/kuickshow-3.4* (is blocking kde-base/kdegraphics-3.4.1)
[blocks B ] =kde-base/ksnapshot-3.4* (is blocking kde-base/kdegraphics-3.4.1)
[blocks B ] =kde-base/ark-3.4* (is blocking kde-base/kdeutils-3.4.1)
[blocks B ] =kde-base/kwalletmanager-3.4* (is blocking kde-base/kdeutils-3.4.1)
[blocks B ] =kde-base/kcharselect-3.4* (is blocking kde-base/kdeutils-3.4.1)
[blocks B ] =kde-base/kfloppy-3.4* (is blocking kde-base/kdeutils-3.4.1)
[blocks B ] =kde-base/kcalc-3.4* (is blocking kde-base/kdeutils-3.4.1)
[blocks B ] =kde-base/klaptopdaemon-3.4* (is blocking kde-base/kdeutils-3.4.1)
[blocks B ] =kde-base/kgpg-3.4* (is blocking kde-base/kdeutils-3.4.1)
[blocks B ] =kde-base/kmailcvt-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/kdepim-kioslaves-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/ktnef-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/libkdepim-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/libkholidays-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/korganizer-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/libkmime-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/kmail-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/libkpimidentities-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/libkdenetwork-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/certmanager-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/libkpgp-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/libksieve-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/mimelib-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/kontact-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/kode-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/knotes-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/libkcal-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/kdepim-kresources-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/libkpimexchange-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/kaddressbook-3.4* (is blocking kde-base/kdepim-3.4.1-r1)
[blocks B ] =kde-base/libkonq-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kdm-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kdeprint-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kcontrol-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kxkb-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kdebase-data-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kmenuedit-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kicker-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/ksmserver-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/khelpcenter-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kdesktop-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/ksysguard-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kpersonalizer-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kreadconfig-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kdialog-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kwin-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/knetattach-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kscreensaver-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/konsole-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/ksplashml-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kdesu-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kcminit-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/konqueror-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kdebase-startkde-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kate-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kfind-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kdebase-kioslaves-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kcheckpass-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[blocks B ] =kde-base/kappfinder-3.4* (is blocking kde-base/kdebase-3.4.1-r1)
[ebuild U ] sys-boot/grub-0.96-r2 [0.96-r1] -netboot -static 0 kB
[ebuild NS ] kde-base/kde-3.4.1 -accessibility 0 kB
[ebuild NS ] kde-base/kdeaddons-3.4.1 +arts +berkdb -debug -kdeenablefinal +sdl -xinerama +xmms 1,588 kB
[ebuild NS ] kde-base/kdeadmin-3.4.1 +arts -debug -kdeenablefinal -xinerama 1,488 kB
[ebuild NS ] kde-base/kdewebdev-3.4.1 +arts -debug -doc -kdeenablefinal -tidy -xinerama 5,826 kB
[ebuild NS ] kde-base/kdetoys-3.4.1 +arts -debug -kdeenablefinal -xinerama 3,125 kB
[ebuild NS ] kde-base/kdemultimedia-3.4.1-r1 +alsa +arts -audiofile -debug +encode +flac +gstreamer +jack -kdeenablefinal +mp3 +speex +theora +vorbis +xine -xinerama 5,417 kB
[ebuild NS ] kde-base/kdenetwork-3.4.1 +arts -debug -kdeenablefinal -rdesktop -slp +ssl -wifi -xinerama 7,215 kB
[ebuild NS ] kde-base/kdeedu-3.4.1 +arts -debug -kdeenablefinal -xinerama 23,446 kB
[ebuild NS ] kde-base/kdegraphics-3.4.1 +arts -debug +gphoto2 +imlib -kdeenablefinal -nodrm +opengl -povray +scanner +tetex -xinerama 6,427 kB
[ebuild NS ] kde-base/kdeutils-3.4.1 +arts +crypt -debug -kdeenablefinal -snmp -xinerama 2,233 kB
[ebuild NS ] kde-base/kdegames-3.4.1 +arts -debug -kdeenablefinal -xinerama 9,207 kB
[ebuild NS ] kde-base/kdepim-3.4.1-r1 +arts +crypt -debug +gnokii -kdeenablefinal +pda -xinerama 11,079 kB
[ebuild NS ] kde-base/kdeartwork-3.4.1 +arts -debug -kdeenablefinal +opengl -xinerama -xscreensaver 17,642 kB
[ebuild NS ] kde-base/kdebase-3.4.1-r1 +arts +cups -debug -hal -ieee1394 +java -kdeenablefinal -ldap -lm_sensors -logitech-mouse +opengl +pam -samba +ssl -xinerama 21,907 kB
[ebuild NS ] kde-base/kdesdk-3.4.1 +arts -debug -kdeenablefinal -subversion -xinerama 4,482 kB

Total size of downloads: 121,089 kB
root@constellation portage #
Back to top
View user's profile Send private message
taskara
Advocate
Advocate


Joined: 10 Apr 2002
Posts: 3763
Location: Australia

PostPosted: Sat Jul 02, 2005 7:24 am    Post subject: Reply with quote

looks like you are trying to emerge kde-3.4.1 itself, not via the split ebuilds.

and so everything that you already had on split ebuilds is blocking it.

you can't have both on your system at this stage..

that's my guess.
-c
_________________
Kororaa install method - have Gentoo up and running quickly and easily, fully automated with an installer!
Back to top
View user's profile Send private message
mlivingstone
Tux's lil' helper
Tux's lil' helper


Joined: 06 Feb 2005
Posts: 125
Location: Gold Coast, Australia

PostPosted: Sat Jul 02, 2005 7:56 am    Post subject: Reply with quote

taskara wrote:
looks like you are trying to emerge kde-3.4.1 itself, not via the split ebuilds.

and so everything that you already had on split ebuilds is blocking it.

you can't have both on your system at this stage..

-c


All I tried to do was an
Code:
emerge -DU world


What should I have done?

TIA

MarkL
Back to top
View user's profile Send private message
taskara
Advocate
Advocate


Joined: 10 Apr 2002
Posts: 3763
Location: Australia

PostPosted: Sat Jul 02, 2005 11:14 am    Post subject: Reply with quote

my guess is that you emerged an old kde sometime ago, and so now it wants to upgrade it..

so, try removing kde-base/kde from /var/lib/portage/world if it's there and try again.

my bet is it's there and so naturally when you upgrade world it will upgrade that too
_________________
Kororaa install method - have Gentoo up and running quickly and easily, fully automated with an installer!
Back to top
View user's profile Send private message
taskara
Advocate
Advocate


Joined: 10 Apr 2002
Posts: 3763
Location: Australia

PostPosted: Sat Jul 30, 2005 12:28 am    Post subject: Reply with quote

updated to support kde 3.4.2, as kde 3.4.1 is now stable in portage.

-c
_________________
Kororaa install method - have Gentoo up and running quickly and easily, fully automated with an installer!
Back to top
View user's profile Send private message
lmcogs
Guru
Guru


Joined: 03 Apr 2005
Posts: 340

PostPosted: Mon Aug 01, 2005 7:44 am    Post subject: Reply with quote

Hi
It took me quite a while finding this howto and so far I am on the emerging applications part. So far so good. Firstly thank you for a clear howto. However I think that a howto on how to get rid of old or monolithic kde builds would be a great idea. I have emerged -C all old kde that I can think of but I would not be too hopeful that I got rid of everything and their dependencies. Also is kdeutils part of the split ebuilds?

lmcogs
Back to top
View user's profile Send private message
taskara
Advocate
Advocate


Joined: 10 Apr 2002
Posts: 3763
Location: Australia

PostPosted: Mon Aug 01, 2005 7:56 am    Post subject: Reply with quote

no, kdeutils is not split

the only two (that I know of) that are both split AND monolithic are ARTS and KDELIBS

perhaps you can write a little howto on how to remove old kde monolithic and I'll add it ;)

alternatively I think there is info on this at the official gentoo kde split howto

-c
_________________
Kororaa install method - have Gentoo up and running quickly and easily, fully automated with an installer!
Back to top
View user's profile Send private message
lmcogs
Guru
Guru


Joined: 03 Apr 2005
Posts: 340

PostPosted: Mon Aug 01, 2005 9:29 pm    Post subject: Reply with quote

Hi

Well I am back from work having left emerge on following your second step and have come home to an installation successful and am now in kde split ebuilds without any errors and it seems pretty sharp. Do I do a emerge depclean and revdep-rebuild now or let sleeping dogs lie?

I would class myself as a newbie and not able to write an howto on deleting the monolithic build but I have been given in another thread this site http://www.gentoo.org/doc/en/kde-split-ebuilds.xml which I am informed gives all the info. Have not had time to read yet.

Do I dare say that my problem has been solved now, well not just yet because I think I may have some loose old kde stuff still lurking about.

All the best
lmcogs
Back to top
View user's profile Send private message
taskara
Advocate
Advocate


Joined: 10 Apr 2002
Posts: 3763
Location: Australia

PostPosted: Tue Aug 02, 2005 1:00 am    Post subject: Reply with quote

yeah you can run revdep-rebuild if you like

but be careful with emerge --depclean
use -av and check for sanity

Code:
emerge --depclean -av


-c
_________________
Kororaa install method - have Gentoo up and running quickly and easily, fully automated with an installer!
Back to top
View user's profile Send private message
lmcogs
Guru
Guru


Joined: 03 Apr 2005
Posts: 340

PostPosted: Tue Aug 02, 2005 8:43 am    Post subject: Reply with quote

Hi Taskara

I did emerge -av --depclean and emerge -uD world and got alot of references to kde-3.4.1 similar to mlivingstone above. I then followed your advise re /var/lib/portage/world and went through all kdebase references, doing emerge -pv for each. I unmarked all packages which were shown to refer to kde 3.4.1 as shown below. The major one was kdeartwork. Is this in split ebuilds since I tried emerge -pv kdeartwork and it wanted to emerge the 3.4.1 version.

After commenting out all kdebase files referring to kde 3.4.1 in the world file I did emerge --sync and then emerge -uD world and all was fine, no mention of kde 3.4.1 and blocking packages. Then I emerged world.


/var/lib/portage/world file. All file marked # were referring to kde 3.4.1
kde-base/korganizer
dev-java/blackdown-jdk
dev-python/pyrex
media-sound/alsa-utils
app-portage/porthole
x11-misc/xscreensaver
media-gfx/digikam
media-gfx/sane-backends
mail-client/kcheckgmail
sys-kernel/linux-headers
media-sound/audacity
media-libs/alsa-oss
app-arch/unzip
app-cdr/xcdroast
media-gfx/xsane
media-video/totem
dev-perl/XML-Parser
dev-perl/gtk-perl
app-portage/mirrorselect
kde-base/kcalc
app-arch/zip
dev-python/gnome-python
kde-base/kde-i18n
#kde-base/kuickshow
media-libs/fontconfig
media-sound/muine
media-libs/alsa-lib
net-print/kink
media-gfx/splash-themes-livecd
media-gfx/flphoto
net-irc/ultimate
kde-base/kfind
app-office/openoffice-bin
kde-base/kooka
kde-base/kate
sys-apps/lshw
sys-apps/eject
mail-client/kbiff
app-admin/syslog-ng
kde-base/kdebase-kioslaves
media-video/dvdauthor
app-cdr/cdrtools
sys-kernel/gentoo-sources
sys-libs/pam
xfce-base/xfce4
dev-lang/mono
#kde-base/kamera
kde-base/kdict
x11-wm/fluxbox
net-p2p/azureus-bin
media-libs/libdvdplay
app-doc/gimp-user-manual
sci-libs/fftw
media-video/nvidia-glx
kde-base/kscreensaver
kde-base/kxkb
sys-apps/pmount
net-print/foomatic
kde-base/akode
media-gfx/gimp-print
media-sound/mpg123
app-text/acroread
kde-base/kappfinder
media-video/fame
gnome-extra/nautilus-cd-burner
kde-base/kontact
sys-boot/lilo
media-gfx/gimp
media-sound/lame
dev-libs/gmime
media-gfx/splash-themes-gentoo
x11-themes/zinf-themes
dev-dotnet/gnome-sharp
kde-base/kfilereplace
sys-devel/distcc
sys-process/vixie-cron
kde-base/krec
gnome-extra/gal
kde-base/kdeprint
media-libs/xine-lib
net-print/mtink
media-sound/shorten
media-sound/esound
kde-base/knetattach
media-video/ffmpeg
gnome-base/control-center
net-misc/dhcpcd
sys-apps/initng
media-gfx/sane-frontends
dev-libs/glib
sys-apps/dbus
sys-apps/iproute2
sys-libs/glibc
app-editors/nano
gnome-extra/gnome-games
media-sound/cantus
kde-base/konqueror
#kde-base/ksnapshot
media-video/xine-ui
mail-client/mozilla-thunderbird
kde-base/ksysguard
#kde-base/kfloppy
sys-process/lsof
kde-base/krdc
net-print/cups
media-sound/aumix
app-misc/beagle
net-print/libinklevel
media-video/realplayer
media-video/mplayer
sci-libs/beagle
kde-base/kmix
dev-libs/libxml
media-tv/tvtime
media-sound/vorbis-tools
media-plugins/xmms-xmmsmplayer
dev-util/pkgconfig
media-libs/libvorbis
media-tv/xawtv
gnome-base/libglade
app-text/namazu
dev-java/java-config
www-client/mozilla
dev-libs/atk
sys-apps/lcdsplash
media-libs/libexif
kde-base/kdemultimedia-kfile-plugins
kde-base/kwalletmanager
app-misc/mime-types
app-editors/vim
dev-dotnet/glade-sharp
sys-apps/ivman
media-libs/freetype
media-libs/win32codecs
media-video/vdr
media-sound/grip
media-video/nvidia-settings
games-arcade/frozen-bubble
#kde-base/kcharselect
media-gfx/gphoto2
x11-themes/mplayer-skins
net-dialup/rp-pppoe
app-text/openjade
media-gfx/splashutils
media-sound/amarok
net-p2p/limewire
games-board/xfreecell
dev-util/subversion
media-libs/libdvdcss
sys-kernel/genkernel
app-arch/unp
media-sound/zinf
kde-base/kdegraphics-kfile-plugins
app-arch/file-roller
kde-base/kdebase-startkde
dev-util/ccache
dev-util/guile
kde-base/konsole
media-gfx/bootsplash-themes
media-gfx/xloadimage
#kde-base/kmenuedit
app-admin/logrotate
kde-base/krfb
#kde-base/kdeartwork
net-p2p/bittorrent
media-video/nvidia-kernel
media-video/kmplayer
gnome-base/gdm
kde-base/arts
kde-base/kopete
app-cdr/cdrdao
kde-base/kmail
media-libs/gst-plugins
app-dicts/aspell-en
media-sound/ecasound
#kde-base/knotes
app-arch/rar
media-sound/gnome-alsamixer
gnome-extra/gtkhtml
kde-base/ark
media-libs/libdvdread
dev-dotnet/gconf-sharp
media-video/dvdrip
media-libs/audiofile
dev-db/sqlite
media-video/mjpegtools
net-firewall/iptables
kde-base/kdemultimedia-kioslaves
games-fps/ut2004-demo
kde-base/kscd
media-gfx/gtkam
www-client/epiphany
games-arcade/xrick
kde-base/kicker
dev-java/libreadline-java
net-firewall/knetfilter
app-arch/rpm2targz
net-im/skype
sys-boot/grub
sys-apps/parted
kde-misc/mtaskbar
sys-apps/slocate
kde-base/kpdf
sys-fs/udftools
gnome-base/gnome
dev-dotnet/gtk-sharp
kde-base/kwifimanager
app-text/gocr
app-admin/fam
mail-client/mail-notification
dev-util/glade
app-office/abiword
sys-fs/sysfsutils
sys-apps/coldplug
media-video/kaffeine
dev-libs/libIDL
www-client/mozilla-firefox
app-cdr/k3b
x11-libs/gtkglarea
net-firewall/shorewall
media-sound/alsamixergui
media-libs/libogg
app-text/aspell
app-portage/gentoolkit
app-cdr/cdrecord-prodvd
sys-apps/hal
gnome-extra/hal-device-manager
net-p2p/qtorrent
kde-base/kaddressbook
sys-apps/hotplug
app-misc/screen

Sorry for all the bother but how do I clean up the system. Do unmerge the the packages marked # and reemerge them, since if I try to emerge any of them the 3.4.1 version tries to get installed. Or are these packages in the split ebuilds.

I tried emerge -av --depclean again and got

>> These are the packages that I would unmerge:

kde-base/ksnapshot
selected: 3.4.1
protected: none
omitted: none

kde-base/kmenuedit
selected: 3.4.1
protected: none
omitted: none

kde-base/kamera
selected: 3.4.1
protected: none
omitted: none

kde-base/kdeartwork
selected: 3.4.2
protected: none
omitted: none

kde-base/kfloppy
selected: 3.4.1
protected: none
omitted: none

kde-base/kuickshow
selected: 3.4.1
protected: none
omitted: none

kde-base/kdetoys
selected: 3.4.2
protected: none
omitted: none

kde-base/kcharselect
selected: 3.4.1
protected: none
omitted: none

>>> 'Selected' packages are slated for removal.
>>> 'Protected' and 'omitted' packages will not be removed.

Do you want me to unmerge these packages? [Yes/No]

Do you think this would be ok to do?

Thanks

lmcogs
Back to top
View user's profile Send private message
lmcogs
Guru
Guru


Joined: 03 Apr 2005
Posts: 340

PostPosted: Wed Aug 03, 2005 12:18 am    Post subject: Reply with quote

Hi
I believe I may have resolved the issue of kdeartwork. Not too sure if it's correct but I got kdeartwork-meta-3.4.2 emerged. (Kdeartwork on it's own tried to emerge arts 3.4.1 and kdelibs 3.4..1 among others)

I noticed when I did emerge -pv kdeartwork-meta I got

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild N ] kde-base/kdeartwork-wallpapers-3.4.1 +arts -debug +kdeenablefin
[ebuild UD] kde-base/arts-3.4.1-r2 [3.4.2] +alsa +arts -artswrappersuid -deb
[ebuild UD] kde-base/kdelibs-3.4.1-r2 [3.4.2] +alsa +arts +cups -debug -doc conf 0 kB
[ebuild UD] kde-base/kwin-3.4.1 [3.4.2] +arts -debug +kdeenablefinal +kdexde
[ebuild N ] kde-base/kdeartwork-kwin-styles-3.4.1 +arts -debug +kdeenablefi
[ebuild N ] kde-base/kdeartwork-emoticons-3.4.1 +arts -debug +kdeenablefina
[ebuild N ] kde-base/kworldwatch-3.4.1 +arts -debug +kdeenablefinal +kdexde
[ebuild N ] kde-base/kdeartwork-kworldclock-3.4.1 +arts -debug +kdeenablefi
[ebuild N ] kde-base/kdeartwork-iconthemes-3.4.1 +arts -debug +kdeenablefin
[ebuild UD] kde-base/kscreensaver-3.4.1 [3.4.2] +arts -debug +kdeenablefinal
[ebuild N ] kde-base/kdeartwork-kscreensaver-3.4.1 +arts -debug +kdeenablef
[ebuild N ] kde-base/kdeartwork-styles-3.4.1 +arts -debug +kdeenablefinal +
[ebuild N ] kde-base/kdeartwork-icewm-themes-3.4.1 +arts -debug +kdeenablef
[ebuild N ] kde-base/kdeartwork-sounds-3.4.1 +arts -debug +kdeenablefinal +
[ebuild N ] kde-base/kdeartwork-meta-3.4.1 0 kB

Something was trying to bring the installed ebuild kwin, kscreensaver, kdelibs, arts back to 3.4.1. So I tried adding to /etc/portage/package.keywords and package unmask withor ~x86


kde-base/kdeartwork-kwin-styles ~x86
kde-base/kdeartwork-emoticons ~x86
kde-base/kworldwatch ~x86
kde-base/kdeartwork-kworldclock ~x86
kde-base/kdeartwork-iconthemes ~x86
kde-base/kdeartwork-kscreensaver ~x86
kde-base/kdeartwork-styles ~x86
kde-base/kdeartwork-icewm-themes ~x86
kde-base/kdeartwork-sounds ~x86
kde-base/kdeartwork-meta ~x86

Then I did emerge -pv kdeartwork all went ok and I got

emerge -pv kdeartwork-meta

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild R ] kde-base/kdeartwork-meta-3.4.2 0 kB

I have the feeling that it was kde-base/kworldwatch that was causing the problem and that should be added to keywords.

I have to say that emerge kdeartwork (on its own) resulted in
These are the packages that I would merge, in order:
Calculating dependencies /
!!! All ebuilds that could satisfy "~kde-base/kdebase-3.4.2" have been masked.
!!! One of the following masked packages is required to complete your request:
- kde-base/kdebase-3.4.2 (masked by: ~x86 keyword)

For more information, see MASKED PACKAGES section in the emerge man page or
section 2.2 "Software Availability" in the Gentoo Handbook.
!!! (dependency required by "kde-base/kdeartwork-3.4.2" [ebuild])

(I believe monolithic build)

Am I barking up the wrong tree?

lmcogs
Back to top
View user's profile Send private message
moosh
Tux's lil' helper
Tux's lil' helper


Joined: 17 Sep 2004
Posts: 147

PostPosted: Wed Aug 03, 2005 8:32 pm    Post subject: Reply with quote

mlivingstone, in reply to your question, I had the exact same problem. The cause was some old kde part which I did not unmerge and now wanted to get upgraded. All you have to do is do something like:
Code:
emerge search kde > temp_file

and then edit the file and look for installed packages and unmerge them. Don't forget to unmerge any old arts package also.
Back to top
View user's profile Send private message
mlivingstone
Tux's lil' helper
Tux's lil' helper


Joined: 06 Feb 2005
Posts: 125
Location: Gold Coast, Australia

PostPosted: Thu Aug 04, 2005 6:51 am    Post subject: Reply with quote

Hi Moosh,

Yes, that was broadly what I did. Once I had everything unmerged that I thought had to go, since I knew I was running 3.4.x by that point, I did:

Code:
locate 3.3.2


and deleted all the contents of the remaining kde stuff.

haven't had any emerging problems since.

MarkL
Back to top
View user's profile Send private message
weyer
n00b
n00b


Joined: 12 Apr 2005
Posts: 11

PostPosted: Fri Sep 09, 2005 9:52 am    Post subject: Reply with quote

hi taskara,

i followed your guide and ran into some minor problems :)

Now that kde-3.5_alpha1 is in portage, your guide made my system to install that version, wich was very unstable, and didn't succeed to compile completely.

I figured out that if i didn't do " echo "kde-base/$x" >> /etc/portage/package.unmask ", emerge stayed with the 3.4.2 release (3.5 is still hard masked, but since you don't give the package.unmask a version number, it unmasks all).

so all i did was change :
Code:
for x in kdebase-startkde kicker kdesu arts kate kuickshow kdelibs ksplashml ksmserver kscreensaver kreadconfig kdesktop kdm kdebase-data libkonq libkscan libkcddb kdemultimedia-arts libkpimidentities libkdepim libkcal ktnef certmanager libkpgp libkdenetwork kcheckpass kwin khotkeys kcminit kpdf kooka ksnapshot kopete knetattach krdc konqueror kamera kwifimanager kscd krec kmix kontact kmenuedit kmail libksieve mimelib kmailcvt kdepim-kioslaves libkmime akregator kaddressbook kpersonalizer korganizer libkpimexchange libkholidays kdepim-kresources kode kappfinder kwalletmanager krfb ksysguard konsole ark kfloppy kdict knotes kcalc kfilereplace kcharselect kcontrol kfind kxkb kdeprint kdegraphics-kfile-plugins kdemultimedia-kfile-plugins kdebase-kioslaves kdemultimedia-kioslaves khelpcenter kdialog kdemultimedia-arts akode ksystraycmd ; do echo "kde-base/$x ~x86" >> /etc/portage/package.keywords; echo "kde-base/$x" >> /etc/portage/package.unmask; done


to:

Code:
for x in kdebase-startkde kicker kdesu arts kate kuickshow kdelibs ksplashml ksmserver kscreensaver kreadconfig kdesktop kdm kdebase-data libkonq libkscan libkcddb kdemultimedia-arts libkpimidentities libkdepim libkcal ktnef certmanager libkpgp libkdenetwork kcheckpass kwin khotkeys kcminit kpdf kooka ksnapshot kopete knetattach krdc konqueror kamera kwifimanager kscd krec kmix kontact kmenuedit kmail libksieve mimelib kmailcvt kdepim-kioslaves libkmime akregator kaddressbook kpersonalizer korganizer libkpimexchange libkholidays kdepim-kresources kode kappfinder kwalletmanager krfb ksysguard konsole ark kfloppy kdict knotes kcalc kfilereplace kcharselect kcontrol kfind kxkb kdeprint kdegraphics-kfile-plugins kdemultimedia-kfile-plugins kdebase-kioslaves kdemultimedia-kioslaves khelpcenter kdialog kdemultimedia-arts akode ksystraycmd ; do echo "kde-base/$x ~amd64" >> /etc/portage/package.keywords;  done


and everything worked again. (mind the ~amd64, change to your architecture ofcourse)

Thanks for the guide anyway !! The split ebuild are a *little* overwelming :D
Back to top
View user's profile Send private message
taskara
Advocate
Advocate


Joined: 10 Apr 2002
Posts: 3763
Location: Australia

PostPosted: Fri Sep 09, 2005 11:04 pm    Post subject: Reply with quote

thanks for the heads up weyer,

I have editted the howto to reflect these changes:

taskara wrote:
Update: (10/09/05) - Ok everyone another update. With the release of kde 3.5 alpha in portage (thanks to weyer for the heads up) adding these packages to unmask will want to install those versions, instead of the ~x86 kde 3.4.2 (which is no longer hardmasked).
See below, I have amended the unmasking so it should only want 3.4.2. Part of the issue is also that there are only ebuilds for kdebase-startkde-3.4.2 and dependencies, not all the other packages.

I have just released a new install method for Gentoo called Kororaa, which comes with KDE 3.4.2.
In order to get everything to compile kde 3.4.2 versions (rather than 3.4.1) I had to copy a lot of new ebuilds into the overlay. So, what I'll do is post that overlay on the web for people to download and extract over their overlay directory.
That should give you as many kde 3.4.2 versions of the packages as possible.

In short we have TWO solutions:
1) add the packages to package.keywords, not unmask (unmask will install 3.5 alpha). emerge as usual, but this will give you some kde 3.4.1 packages.
2) add the packages to package.keywords, download my kde overlay snapshot and emerge as usual. this should give you all kde 3.4.2 packages.

I will update when I have the url for the snapshot


see the first page, but in short I have changed the echo command to:
Code:
for x in kdebase-startkde kicker kdesu arts kate kuickshow kdelibs ksplashml ksmserver kscreensaver kreadconfig kdesktop kdm kdebase-data libkonq libkscan libkcddb kdemultimedia-arts libkpimidentities libkdepim libkcal ktnef certmanager libkpgp libkdenetwork kcheckpass kwin khotkeys kcminit kpdf kooka ksnapshot kopete knetattach krdc konqueror kamera kwifimanager kscd krec kmix kontact kmenuedit kmail libksieve mimelib kmailcvt kdepim-kioslaves libkmime akregator kaddressbook kpersonalizer korganizer libkpimexchange libkholidays kdepim-kresources kode kappfinder kwalletmanager krfb ksysguard konsole ark kfloppy kdict knotes kcalc kfilereplace kcharselect kcontrol kfind kxkb kdeprint kdegraphics-kfile-plugins kdemultimedia-kfile-plugins kdebase-kioslaves kdemultimedia-kioslaves khelpcenter kdialog kdemultimedia-arts akode ksystraycmd ; do echo "=kde-base/$x-3.4.2" >> /etc/portage/package.keywords; done


cheers
_________________
Kororaa install method - have Gentoo up and running quickly and easily, fully automated with an installer!
Back to top
View user's profile Send private message
taskara
Advocate
Advocate


Joined: 10 Apr 2002
Posts: 3763
Location: Australia

PostPosted: Fri Sep 09, 2005 11:40 pm    Post subject: Reply with quote

Ok everyone,

I have modified and uploaded an overlay snapshot for you that will give you kde 3.4.2 versions of everything, not just kdebase-startkde.

Get it here.

Extract it to your overlay directory (/usr/local/portage by default, but I like /usr/portage/local).

So for me this would be:
Code:
tar -xvjpf kde-split-overlay-3.4.2.tar.bz2 -C /usr/portage/local/


Hope you enjoy!

-c
_________________
Kororaa install method - have Gentoo up and running quickly and easily, fully automated with an installer!
Back to top
View user's profile Send private message
riczan
Tux's lil' helper
Tux's lil' helper


Joined: 09 Feb 2005
Posts: 134
Location: Sicily. Nothing personal...

PostPosted: Wed Sep 28, 2005 3:18 pm    Post subject: Reply with quote

great work taskara

Could you explain what is this overlay-snapshot thing... I'm a little reluctant to do things to my PC without knowing what they are but this overlay thing looks like the right way to go a this point.

thanks

Since you work on this things... do you have a guess on when is kde 3.4.2 be stable in gentoo portage...

I could wait a couple of weeks and just skip all this masking stuff
_________________
SAGER 5793
Back to top
View user's profile Send private message
taskara
Advocate
Advocate


Joined: 10 Apr 2002
Posts: 3763
Location: Australia

PostPosted: Wed Sep 28, 2005 9:50 pm    Post subject: Reply with quote

riczan wrote:
great work taskara

Could you explain what is this overlay-snapshot thing... I'm a little reluctant to do things to my PC without knowing what they are but this overlay thing looks like the right way to go a this point.

thanks

Since you work on this things... do you have a guess on when is kde 3.4.2 be stable in gentoo portage...

I could wait a couple of weeks and just skip all this masking stuff


Sorry, I have NO idea when 3.4.2 will be marked as stable, cause I'm not on any Gentoo Dev team. Only they could tell you :)

Portage overlay is the place where you can add your own ebuilds for portage to install, without having them overwritten each time you emerge --sync.

You need to have an entry in your make.conf like
Code:
PORTDIR_OVERLAY=/usr/portage/local

and then you put things in there :)

-c
_________________
Kororaa install method - have Gentoo up and running quickly and easily, fully automated with an installer!
Back to top
View user's profile Send private message
alistair
Retired Dev
Retired Dev


Joined: 15 Jul 2005
Posts: 869

PostPosted: Thu Oct 13, 2005 9:16 pm    Post subject: Reply with quote

Hi guys. Just switched to the split ebuild and my / partition is loving you for it :) (so im I)

only thing that i think im missing is the ability to right click on a *.zip, *.bz, etc ,etc go down to action -> extract here
-> extract to

does anyone know what package this is included with. or how i would configure kde again to do it.


any help would be greatly appreciated
Back to top
View user's profile Send private message
taskara
Advocate
Advocate


Joined: 10 Apr 2002
Posts: 3763
Location: Australia

PostPosted: Thu Oct 13, 2005 11:31 pm    Post subject: Reply with quote

Hey alistair,
I think it's
Code:
*  kde-base/konq-plugins
      Latest version available: 3.4.2
      Latest version installed: 3.4.2
      Size of downloaded files: 1,554 kB
      Homepage:    http://www.kde.org/
      Description: Various plugins for konqueror
      License:     GPL-2

_________________
Kororaa install method - have Gentoo up and running quickly and easily, fully automated with an installer!
Back to top
View user's profile Send private message
Sade
Guru
Guru


Joined: 22 Mar 2005
Posts: 406
Location: Netherlands - Eindhoven

PostPosted: Fri Oct 14, 2005 12:29 pm    Post subject: Reply with quote

taskara wrote:
Hey alistair,
I think it's
Code:
*  kde-base/konq-plugins
      Latest version available: 3.4.2
      Latest version installed: 3.4.2
      Size of downloaded files: 1,554 kB
      Homepage:    http://www.kde.org/
      Description: Various plugins for konqueror
      License:     GPL-2


i'm having the same problem as alistair, and i have konq-plugins installed.

i've read in some old topic (before the splits) that kde-addons and kde-utils should be installed, but i don't want that, i would realy wan't to know wich ebuild provides the "actions->extract" here option.

old topic one: Missing Ark integration in KDE 3.3.2 [SOLVED]
old topic two: KDE 3.3 Problem: what happened to "Extract Here"?
_________________
| 1.6Ghz atom N270 | adopt an unanswerd post | a nice way to post a config file |
Back to top
View user's profile Send private message
taskara
Advocate
Advocate


Joined: 10 Apr 2002
Posts: 3763
Location: Australia

PostPosted: Fri Oct 14, 2005 11:35 pm    Post subject: Reply with quote

Hey Sade,

I have UN-emerged konq-plugins
Code:
josiah ~ # emerge -C konq-plugins
and as a result have lost the ability to "extract here" but still have "send via bluetooth", "encrypt file", etc.
I re-emerged it and it came back.

You might also need kioslaves or something like that.

Here is a list of all KDE based apps emerged on my machine
Code:
kde-base/kcminit-3.4.2
kde-base/libkcddb-3.4.2
kde-base/klaptopdaemon-3.4.2
kde-base/kcalc-3.4.2
kde-base/kmix-3.4.2
kde-base/kwalletmanager-3.4.2
kde-base/kscd-3.4.2
kde-base/kdebase-pam-6
kde-base/kicker-3.4.2
kde-base/kscreensaver-3.4.2
kde-base/kompare-3.4.2
kde-base/kooka-3.4.2
kde-base/kappfinder-3.4.2
kde-base/knotes-3.4.2
kde-base/kdepim-kresources-3.4.2
kde-base/kmenuedit-3.4.2
kde-base/akode-3.4.2
kde-base/libkcal-3.4.2
kde-base/kate-3.4.2
kde-base/konqueror-3.4.2-r1
kde-base/korganizer-3.4.2
kde-base/libkmime-3.4.2
kde-base/kdeprint-3.4.2
kde-base/ksplashml-3.4.2
kde-base/kuickshow-3.4.2
kde-base/kdm-3.4.2
kde-base/kmail-3.4.2-r1
kde-base/kpersonalizer-3.4.2
kde-base/kdeaddons-docs-konq-plugins-3.4.2
kde-base/kfloppy-3.4.2
kde-base/kdemultimedia-arts-3.4.2
kde-base/certmanager-3.4.2
kde-base/kwin-3.4.2
kde-base/kxkb-3.4.2
kde-base/nsplugins-3.4.2
kde-base/kode-3.4.2
kde-base/kfilereplace-3.4.2
kde-base/mimelib-3.4.2
kde-base/arts-3.4.2
kde-base/kgpg-3.4.2
kde-base/libkonq-3.4.2
kde-base/kdebase-data-3.4.2
kde-base/kreadconfig-3.4.2
kde-base/kdesu-3.4.2
kde-base/libkdenetwork-3.4.2
kde-base/libkscan-3.4.2
kde-base/khelpcenter-3.4.2
kde-base/kwifimanager-3.4.2
kde-base/kdepim-kioslaves-3.4.2
kde-base/krec-3.4.2
kde-base/cervisia-3.4.2
kde-base/kdebase-startkde-3.4.2
kde-base/ksysguard-3.4.2
kde-base/kpdf-3.4.2-r2
kde-base/kopete-3.4.2
kde-base/kde-i18n-3.4.2
kde-base/kamera-3.4.2
kde-base/kde-env-3-r3
kde-base/ksmserver-3.4.2
kde-base/libkpimexchange-3.4.2
kde-base/kcheckpass-3.4.2
kde-base/kfind-3.4.2
kde-base/khotkeys-3.4.2
kde-base/ark-3.4.2
kde-base/libkdepim-3.4.2
kde-base/konq-plugins-3.4.2
kde-base/kdialog-3.4.2
kde-base/kdegraphics-kfile-plugins-3.4.2
kde-base/kcharselect-3.4.2
kde-base/libkpgp-3.4.2
kde-base/kdelibs-3.4.2
kde-base/kdemultimedia-kfile-plugins-3.4.2
kde-base/kmailcvt-3.4.2
kde-base/konsole-3.4.2
kde-base/ksnapshot-3.4.2
kde-base/kcontrol-3.4.2
kde-base/kaddressbook-3.4.2
kde-base/kdesktop-3.4.2
kde-base/krdc-3.4.2
kde-base/kdict-3.4.2
kde-base/kdebase-kioslaves-3.4.2
kde-base/kontact-3.4.2
kde-base/kppp-3.4.2
kde-base/libkholidays-3.4.2
kde-base/libkpimidentities-3.4.2
kde-base/libksieve-3.4.2
kde-base/ktnef-3.4.2
kde-misc/ksensors-0.7.3
kde-misc/kio-locate-0.3.4
dev-util/kdevelop-3.2.2
net-wireless/kdebluetooth-0.99_beta1-r1

_________________
Kororaa install method - have Gentoo up and running quickly and easily, fully automated with an installer!
Back to top
View user's profile Send private message
Sade
Guru
Guru


Joined: 22 Mar 2005
Posts: 406
Location: Netherlands - Eindhoven

PostPosted: Sun Oct 16, 2005 7:34 am    Post subject: Reply with quote

i've been searching what our essential different packages are but i can't find them, here's my list anyway:
Code:
 * installed packages
kde-base/kcontrol-3.4.1-r1
kde-base/kcminit-3.4.1
kde-base/libkcddb-3.4.1
kde-base/kcalc-3.4.1
kde-base/kwalletmanager-3.4.1
kde-base/kdeartwork-kworldclock-3.4.1
kde-base/kscd-3.4.1
kde-base/kdebase-pam-6
kde-base/kdebugdialog-3.4.1
kde-base/ksig-3.4.1
kde-base/kicker-3.4.1
kde-base/ksystraycmd-3.4.1
kde-base/kscreensaver-3.4.1
kde-base/kstart-3.4.1
kde-base/kappfinder-3.4.1
kde-base/kxsldbg-3.4.1
kde-base/kmenuedit-3.4.1
kde-base/kdcop-3.4.1
kde-base/libkcal-3.4.1
kde-base/kate-3.4.1
kde-base/kview-3.4.1
kde-base/kdeartwork-sounds-3.4.1
kde-base/kdeartwork-styles-3.4.1
kde-base/kdeartwork-wallpapers-3.4.1
kde-base/kopete-3.4.1-r1
kde-base/ksysguard-3.4.1-r1
kde-base/kdeprint-3.4.1
kde-base/kdnssd-3.4.1
kde-base/kcron-3.4.1
kde-base/kmrml-3.4.1
kde-base/kregexpeditor-3.4.1-r1
kde-base/kdf-3.4.1
kde-base/ksplashml-3.4.1
kde-base/kuickshow-3.4.1
kde-base/kdm-3.4.1
kde-base/khelpcenter-3.4.1-r1
kde-base/vimpart-3.4.1
kde-base/klinkstatus-3.4.1
kde-base/kdebase-kioslaves-3.4.1-r1
kde-base/kpersonalizer-3.4.1
kde-base/mpeglib-3.4.1
kde-base/arts-3.4.1-r2
kde-base/libksirtet-3.4.1
kde-base/kaudiocreator-3.4.1
kde-base/kdeaddons-docs-konq-plugins-3.4.1
kde-base/kpager-3.4.1
kde-base/ksirc-3.4.1
kde-base/artsplugin-mpg123-3.4.1
kde-base/kdemultimedia-arts-3.4.1
kde-base/certmanager-3.4.1
kde-base/kwin-3.4.1
kde-base/kregexpeditor-3.4.1
kde-base/kdemultimedia-kioslaves-3.4.1
kde-base/noatun-plugins-3.4.1
kde-base/kxkb-3.4.1
kde-base/artsplugin-mpeglib-3.4.1
kde-base/nsplugins-3.4.1
kde-base/kommander-3.4.1
kde-base/kicker-applets-3.4.1
kde-base/kfilereplace-3.4.1
kde-base/kgpg-3.4.1
kde-base/libkonq-3.4.1
kde-base/kdebase-data-3.4.1
kde-base/klipper-3.4.1
kde-base/kreadconfig-3.4.1
kde-base/kdesu-3.4.1
kde-base/kpf-3.4.1
kde-base/libkdenetwork-3.4.1
kde-base/renamedlg-images-3.4.1
kde-base/kdenetwork-kfile-plugins-3.4.1
kde-base/kdeartwork-kscreensaver-3.4.1
kde-base/kworldwatch-3.4.1
kde-base/kdeadmin-kfile-plugins-3.4.1
kde-base/kgamma-3.4.1
kde-base/renamedlg-audio-3.4.1
kde-base/libkdeedu-3.4.1
kde-base/kdebase-startkde-3.4.1
kde-base/kolourpaint-3.4.1
kde-base/kpdf-3.4.1-r1
kde-base/konqueror-akregator-3.4.1
kde-base/kdat-3.4.1
kde-base/kviewshell-3.4.1
kde-base/kdeartwork-kwin-styles-3.4.1
kde-base/kate-plugins-3.4.1
kde-base/kdvi-3.4.1
kde-base/akregator-3.4.1-r1
kde-base/kdelibs-3.4.1-r1
kde-base/noatun-3.4.1
kde-base/librss-3.4.1
kde-base/artsplugin-xine-3.4.1
kde-base/kde-env-3-r4
kde-base/ktalkd-3.4.1
kde-base/ksmserver-3.4.1
kde-base/kget-3.4.1
kde-base/kcheckpass-3.4.1
kde-base/kfind-3.4.1
kde-base/ktimer-3.4.1
kde-base/khotkeys-3.4.1
kde-base/kruler-3.4.1
kde-base/drkonqi-3.4.1
kde-base/ark-3.4.1
kde-base/libkdepim-3.4.1
kde-base/kghostview-3.4.1
kde-base/konq-plugins-3.4.1
kde-base/kdialog-3.4.1
kde-base/kdegraphics-kfile-plugins-3.4.1
kde-base/lisa-3.4.1
kde-base/kdeartwork-iconthemes-3.4.1
kde-base/kcharselect-3.4.1
kde-base/kdenetwork-filesharing-3.4.1
kde-base/libkpgp-3.4.1
kde-base/kdepasswd-3.4.1
kde-base/kmilo-3.4.1
kde-base/secpolicy-3.4.1
kde-base/knetattach-3.4.1
kde-base/konsole-3.4.1
kde-base/dcoprss-3.4.1
kde-base/ksnapshot-3.4.1
kde-base/kdeaddons-kfile-plugins-3.4.1
kde-base/kdesktop-3.4.1
kde-base/kdeedu-applnk-3.4.1
kde-base/khexedit-3.4.1
kde-base/kedit-3.4.1
kde-base/kuser-3.4.1
kde-base/ksvg-3.4.1
kde-base/krdc-3.4.1
kde-base/kdict-3.4.1
kde-base/ksim-3.4.1
kde-base/kcoloredit-3.4.1
kde-base/kontact-3.4.1
kde-base/ktip-3.4.1
kde-base/konqueror-3.4.1
kde-base/kdeartwork-emoticons-3.4.1
kde-base/libkpimidentities-3.4.1
kde-base/libkdegames-3.4.1
kde-base/krfb-3.4.1
kde-base/ktnef-3.4.1

_________________
| 1.6Ghz atom N270 | adopt an unanswerd post | a nice way to post a config file |
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Documentation, Tips & Tricks All times are GMT
Goto page Previous  1, 2, 3, 4, 5, 6  Next
Page 5 of 6

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum